import axios from 'axios';

const apiClient = axios.create({
    baseURL: 'http://localhost:8000/',
});

apiClient.interceptors.request.use((config) => {
    return config;
});

apiClient.interceptors.response.use((response) => {
    return response;
});

const getComments = (id) => {
    return apiClient.get('get_comments/' + id);
};

export default {
    getComments,
};