import axios from 'axios';

let apiClient;

const postSubmit = (data) => {
    return apiClient.post('submit_post', data);
};

const addComm = (data) => {
    return apiClient.post('add_comment', data);
};

const createInstance = (token) =>{
    apiClient = axios.create({
        baseURL: 'http://localhost:8000/',
        headers: {
            Authorization: 'Bearer ' + token,
        }
    });
}

export default {
    postSubmit,
    createInstance,
    addComm
};