const db = require('../db/postgres');
const {mail: mail} = require('../mail/mail');

function send_add_comment_mail(op_mail, comment_author) {
    var mailOptions = {
       from: 'wna.no.reply@gmail.com',
       to: op_mail,
       subject: 'War-News-Aggregator Post Notification',
       html: comment_author + " just commented on your post!"
    }

    mail.sendMail(mailOptions, function(error, info){
          if (error) {
            console.log(error);
          } else {
            console.log('Email sent: ' + info.response);
          }
    });
}

function handleReq(req) {
    if (req.method === "add_comment") {
        var getOpMailQuery = `SELECT author_email FROM news
            WHERE news.id = ${req.news_id}`;
        db.pool.query(getOpMailQuery, (err, res) => {
            if (err) {
                console.error("Cannot send email due to database connection issues: " + err);
            } else {
                if (res.rowCount > 0) {
                    send_add_comment_mail(res.rows[0].author_email, req.author);
                } else {
                    console.error("Database problem: could not find author of post");
                }
            }
        });
    }
}

module.exports = { handleReq };  
