const client = require('prom-client');
const router = require('../routes/index');

// Create a Registry to register the metrics
const register = new client.Registry();
client.collectDefaultMetrics({register});

function start() {
    router.get('/metrics', async (req, res) => {
        res.setHeader('Content-Type', register.contentType);
        res.send(await register.metrics());
    });
}

module.exports = { start };
