import axios from 'axios';

let apiClient;

const deleteComm = (id, idComm) => {
    return apiClient.delete('delete_comment/' + id + '/' + idComm);
};

const createInstance = (token) =>{
    apiClient = axios.create({
        baseURL: 'http://localhost:8000/',
        headers: {
            Authorization: 'Bearer ' + token,
        }
    });
}

export default {
    deleteComm,
    createInstance,
};