import axios from 'axios';

const apiClient = axios.create({
    baseURL: 'http://localhost:8000/',
});

apiClient.interceptors.request.use((config) => {
    return config;
});

apiClient.interceptors.response.use((response) => {
    return response;
});

const getNews = () => {
    return apiClient.get('get_news');
};

const getNewsById = (id) => {
    return apiClient.get('get_news_by_id/' + id);
};

export default {
    getNews,
    getNewsById
};