import axios from 'axios';

const apiClient = axios.create({
    baseURL: 'http://localhost:8000/',
});

apiClient.interceptors.request.use((config) => {
    return config;
});

apiClient.interceptors.response.use((response) => {
    return response;
});

const getQuestions = () => {
    return apiClient.get('get_questions');
};

const getQuestionsById = (id) => {
    return apiClient.get('get_questions_by_id/' + id);
};

export default {
    getQuestions,
    getQuestionsById,
};