import Vue from 'vue';
import Vuex from 'vuex';
import * as auth from './modules/auth';
import * as news from './modules/news';
import * as questions from './modules/questions';
import * as submit from './modules/submit';
import * as comments from './modules/comments';
import * as del from './modules/del';

Vue.use(Vuex);

export default new Vuex.Store({
    state: {},
    getters: {},
    mutations: {},
    actions: {},
    modules: {
        auth,
        news,
        questions,
        submit,
        comments,
        del,
    },
});
